From 9fe5ea3ad742ab7d465adb16e4cc52febc939c61 Mon Sep 17 00:00:00 2001
From: Joel Galenson <jgalenson@google.com>
Date: May 05 2020 03:25:15 +0000
Subject: [PATCH 539/2232] Add missing message.


---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index 70620ce..3c059a7 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -380,7 +380,7 @@ fn write_enum(out: &mut OutFile, enm: &Enum) {
 fn check_enum(out: &mut OutFile, enm: &Enum) {
     writeln!(
         out,
-        "static_assert(sizeof({}) == sizeof(uint32_t));",
+        "static_assert(sizeof({}) == sizeof(uint32_t), \"incorrect size\");",
         enm.ident
     );
     let mut prev_discriminant = None;

